Next Previous Contents

## 6. Building Amavis

Regardless of the method you used to obtain it, please change to your new amavis sourcecode directory and type the following command to build Amavis with libmilter:

    LDFLAGS="
    -L/usr/lib/libmilter"
     ./configure --with-amavisuser=amavis --prefix=/usr/local --with-runtime-dir=/var/local/amavis --enable-milter --with-sendmail-source=/usr/include/libmilter

Then simply run make by typing:

    make

This will create, among other things, the amavisd perl script and the amavis-milter binary in your " <amavis-sourcecode-directory>/amavis/"

directory. If the previous steps failed for any reason, go to the section titled " If the CVS copy blows chunks" and rerun the " Building Amavis" section from the beginning.

Next Previous Contents